# =======================
#        LOGGER
# =======================
Logger:
  # Уровень выводимых в консоль сообщений
  # 0 - PanicLevel
  # 1 - FatalLevel
  # 2 - ErrorLevel
  # 3 - WarnLevel
  # 4 - InfoLevel
  # 5 - DebugLevel
  # 6 - TraceLevel
  Level: 6

# =======================
#   WebServer settings
# =======================
WebServer:
  # A Server defines parameters for running an HTTP server.
  Configuration:
    # ReadTimeout is the maximum duration for reading the entire request, including the body. A zero or negative value means there will be no timeout.
    # Because ReadTimeout does not let Handlers make per-request decisions on each request body's acceptable deadline or upload rate, most users will prefer to use ReadHeaderTimeout. It is valid to use them both.
    ReadTimeout: "10s"

    # ReadTimeout is the maximum duration for reading the entire request, including the body. A zero or negative value means there will be no timeout.
    # Because ReadTimeout does not let Handlers make per-request decisions on each request body's acceptable deadline or upload rate, most users will prefer to use ReadHeaderTimeout. It is valid to use them both.
    ReadHeaderTimeout: "500ms"

    # WriteTimeout is the maximum duration before timing out writes of the response. It is reset whenever a new request's header is read. Like ReadTimeout, it does not let Handlers make decisions on a per-request basis. A zero or negative value means there will be no timeout.
    WriteTimeout: "30s"

    # IdleTimeout is the maximum amount of time to wait for the next request when keep-alives are enabled. If IdleTimeout is zero, the value of ReadTimeout is used. If both are zero, there is no timeout.
    IdleTimeout: "1s"

    # MaxHeaderBytes controls the maximum number of bytes the server will read parsing the request header's keys and values, including the request line. It does not limit the size of the request body. If zero, DefaultMaxHeaderBytes is used.
    # [Bytes]
    MaxHeaderBytes: 100

    # Server stop delay
    ShutdownTimeout: "5s"

    # AllowedHeaders is list of non simple headers the client is allowed to use with cross-domain requests. If the special "*" value is present in the list, all headers will be allowed. Default value is [] but "Origin" is always appended to the list.
    AllowedHeaders:
      - Authorization
      - Content-Type

    # Debugging flag adds additional output to debug server side CORS issues
    Debug: false

# Количество выдаваемых вариантов полнотекстового поиска
FullTextItemCount: 25
# Минимальное количество символов для начала поиска по умолчанию
MinLenFindString: 3

# Количество элементов списка инфинитискролл
InfinityScrollItemCount: 30